package com.chinaitop.depot.device.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class StorageJsgl {
    private String id;

    private Integer orgId;

    private String dataStatus;

    private String jslx;

    private String htid;

    private String htbh;

    private BigDecimal htzsl;

    private BigDecimal yjssl;

    private Integer houseId;

    private Integer warehouseId;

    private Integer lypz;

    private Integer mxpz;

    private Integer lyxz;

    private BigDecimal bcjssl;

    private BigDecimal bcjsdj;

    private BigDecimal bcjsje;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bcjssj;

    private String bcjsfs;

    private String fpStart;

    private String fpEnd;

    private String fps;

    private String fpzt;

    private Integer customerId;

    private String sfkr;

    private String khhmc;

    private String khhh;

    private String yhzh;

    private String skrsfzh;

    private String fkdw;

    private String ywlx;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    private String fpText;

    /**
     * 主键唯一ID
     * @return id 主键唯一ID
     */
    public String getId() {
        return id;
    }

    /**
     * 主键唯一ID
     * @param id 主键唯一ID
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 组织机构ID
     * @return org_id 组织机构ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织机构ID
     * @param orgId 组织机构ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 数据状态(0:保存,1:提交)
     * @return data_status 数据状态(0:保存,1:提交)
     */
    public String getDataStatus() {
        return dataStatus;
    }

    /**
     * 数据状态(0:保存,1:提交)
     * @param dataStatus 数据状态(0:保存,1:提交)
     */
    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus == null ? null : dataStatus.trim();
    }

    /**
     * 结算类型(0:入库,1:出库)
     * @return jslx 结算类型(0:入库,1:出库)
     */
    public String getJslx() {
        return jslx;
    }

    /**
     * 结算类型(0:入库,1:出库)
     * @param jslx 结算类型(0:入库,1:出库)
     */
    public void setJslx(String jslx) {
        this.jslx = jslx == null ? null : jslx.trim();
    }

    /**
     * 接收合同数据ID
     * @return htid 接收合同数据ID
     */
    public String getHtid() {
        return htid;
    }

    /**
     * 接收合同数据ID
     * @param htid 接收合同数据ID
     */
    public void setHtid(String htid) {
        this.htid = htid == null ? null : htid.trim();
    }

    /**
     * 合同编号
     * @return htbh 合同编号
     */
    public String getHtbh() {
        return htbh;
    }

    /**
     * 合同编号
     * @param htbh 合同编号
     */
    public void setHtbh(String htbh) {
        this.htbh = htbh == null ? null : htbh.trim();
    }

    /**
     * 合同总数量(吨)
     * @return htzsl 合同总数量(吨)
     */
    public BigDecimal getHtzsl() {
        return htzsl;
    }

    /**
     * 合同总数量(吨)
     * @param htzsl 合同总数量(吨)
     */
    public void setHtzsl(BigDecimal htzsl) {
        this.htzsl = htzsl;
    }

    /**
     * 已结算数量(吨)
     * @return yjssl 已结算数量(吨)
     */
    public BigDecimal getYjssl() {
        return yjssl;
    }

    /**
     * 已结算数量(吨)
     * @param yjssl 已结算数量(吨)
     */
    public void setYjssl(BigDecimal yjssl) {
        this.yjssl = yjssl;
    }

    /**
     * 仓房ID
     * @return house_id 仓房ID
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房ID
     * @param houseId 仓房ID
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位ID
     * @return warehouse_id 货位ID
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位ID
     * @param warehouseId 货位ID
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 粮油品种
     * @return lypz 粮油品种
     */
    public Integer getLypz() {
        return lypz;
    }

    /**
     * 粮油品种
     * @param lypz 粮油品种
     */
    public void setLypz(Integer lypz) {
        this.lypz = lypz;
    }

    /**
     * 明细品种
     * @return mxpz 明细品种
     */
    public Integer getMxpz() {
        return mxpz;
    }

    /**
     * 明细品种
     * @param mxpz 明细品种
     */
    public void setMxpz(Integer mxpz) {
        this.mxpz = mxpz;
    }

    /**
     * 粮油性质
     * @return lyxz 粮油性质
     */
    public Integer getLyxz() {
        return lyxz;
    }

    /**
     * 粮油性质
     * @param lyxz 粮油性质
     */
    public void setLyxz(Integer lyxz) {
        this.lyxz = lyxz;
    }

    /**
     * 本次结算数量(吨)
     * @return bcjssl 本次结算数量(吨)
     */
    public BigDecimal getBcjssl() {
        return bcjssl;
    }

    /**
     * 本次结算数量(吨)
     * @param bcjssl 本次结算数量(吨)
     */
    public void setBcjssl(BigDecimal bcjssl) {
        this.bcjssl = bcjssl;
    }

    /**
     * 本次结算单价(元/吨)
     * @return bcjsdj 本次结算单价(元/吨)
     */
    public BigDecimal getBcjsdj() {
        return bcjsdj;
    }

    /**
     * 本次结算单价(元/吨)
     * @param bcjsdj 本次结算单价(元/吨)
     */
    public void setBcjsdj(BigDecimal bcjsdj) {
        this.bcjsdj = bcjsdj;
    }

    /**
     * 本次结算金额(元)
     * @return bcjsje 本次结算金额(元)
     */
    public BigDecimal getBcjsje() {
        return bcjsje;
    }

    /**
     * 本次结算金额(元)
     * @param bcjsje 本次结算金额(元)
     */
    public void setBcjsje(BigDecimal bcjsje) {
        this.bcjsje = bcjsje;
    }

    /**
     * 本次结算时间
     * @return bcjssj 本次结算时间
     */
    public Date getBcjssj() {
        return bcjssj;
    }

    /**
     * 本次结算时间
     * @param bcjssj 本次结算时间
     */
    public void setBcjssj(Date bcjssj) {
        this.bcjssj = bcjssj;
    }

    /**
     * 本次结算方式
     * @return bcjsfs 本次结算方式
     */
    public String getBcjsfs() {
        return bcjsfs;
    }

    /**
     * 本次结算方式
     * @param bcjsfs 本次结算方式
     */
    public void setBcjsfs(String bcjsfs) {
        this.bcjsfs = bcjsfs == null ? null : bcjsfs.trim();
    }

    /**
     * 起始发票号
     * @return fp_start 起始发票号
     */
    public String getFpStart() {
        return fpStart;
    }

    /**
     * 起始发票号
     * @param fpStart 起始发票号
     */
    public void setFpStart(String fpStart) {
        this.fpStart = fpStart == null ? null : fpStart.trim();
    }

    /**
     * 结尾发票号
     * @return fp_end 结尾发票号
     */
    public String getFpEnd() {
        return fpEnd;
    }

    /**
     * 结尾发票号
     * @param fpEnd 结尾发票号
     */
    public void setFpEnd(String fpEnd) {
        this.fpEnd = fpEnd == null ? null : fpEnd.trim();
    }

    /**
     * 不连续的发票号
     * @return fps 不连续的发票号
     */
    public String getFps() {
        return fps;
    }

    /**
     * 不连续的发票号
     * @param fps 不连续的发票号
     */
    public void setFps(String fps) {
        this.fps = fps == null ? null : fps.trim();
    }

    /**
     * 发票状态
     * @return fpzt 发票状态
     */
    public String getFpzt() {
        return fpzt;
    }

    /**
     * 发票状态
     * @param fpzt 发票状态
     */
    public void setFpzt(String fpzt) {
        this.fpzt = fpzt == null ? null : fpzt.trim();
    }

    /**
     * 客户档案ID
     * @return customer_id 客户档案ID
     */
    public Integer getCustomerId() {
        return customerId;
    }

    /**
     * 客户档案ID
     * @param customerId 客户档案ID
     */
    public void setCustomerId(Integer customerId) {
        this.customerId = customerId;
    }

    /**
     * 收/付款人
     * @return sfkr 收/付款人
     */
    public String getSfkr() {
        return sfkr;
    }

    /**
     * 收/付款人
     * @param sfkr 收/付款人
     */
    public void setSfkr(String sfkr) {
        this.sfkr = sfkr == null ? null : sfkr.trim();
    }

    /**
     * 开户行名称
     * @return khhmc 开户行名称
     */
    public String getKhhmc() {
        return khhmc;
    }

    /**
     * 开户行名称
     * @param khhmc 开户行名称
     */
    public void setKhhmc(String khhmc) {
        this.khhmc = khhmc == null ? null : khhmc.trim();
    }

    /**
     * 开户行号
     * @return khhh 开户行号
     */
    public String getKhhh() {
        return khhh;
    }

    /**
     * 开户行号
     * @param khhh 开户行号
     */
    public void setKhhh(String khhh) {
        this.khhh = khhh == null ? null : khhh.trim();
    }

    /**
     * 银行账号
     * @return yhzh 银行账号
     */
    public String getYhzh() {
        return yhzh;
    }

    /**
     * 银行账号
     * @param yhzh 银行账号
     */
    public void setYhzh(String yhzh) {
        this.yhzh = yhzh == null ? null : yhzh.trim();
    }

    /**
     * 付款人身份证号
     * @return skrsfzh 付款人身份证号
     */
    public String getSkrsfzh() {
        return skrsfzh;
    }

    /**
     * 付款人身份证号
     * @param skrsfzh 付款人身份证号
     */
    public void setSkrsfzh(String skrsfzh) {
        this.skrsfzh = skrsfzh == null ? null : skrsfzh.trim();
    }

    /**
     * 付款单位
     * @return fkdw 付款单位
     */
    public String getFkdw() {
        return fkdw;
    }

    /**
     * 付款单位
     * @param fkdw 付款单位
     */
    public void setFkdw(String fkdw) {
        this.fkdw = fkdw == null ? null : fkdw.trim();
    }

    /**
     * 数据创建时间
     * @return create_time 数据创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 数据创建时间
     * @param createTime 数据创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后修改时间
     * @return update_time 最后修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后修改时间
     * @param updateTime 最后修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 发票号集合
     * @return fp_text 发票号集合
     */
    public String getFpText() {
        return fpText;
    }

    /**
     * 发票号集合
     * @param fpText 发票号集合
     */
    public void setFpText(String fpText) {
        this.fpText = fpText == null ? null : fpText.trim();
    }
    
    /**
     * 业务类型(0:散粮,1:非散粮)
     * @return ywlx 业务类型(0:散粮,1:非散粮)
     */
    public String getYwlx() {
        return ywlx;
    }

    /**
     * 业务类型(0:散粮,1:非散粮)
     * @param ywlx 业务类型(0:散粮,1:非散粮)
     */
    public void setYwlx(String ywlx) {
        this.ywlx = ywlx == null ? null : ywlx.trim();
    }
}